<template>
  <div>
    <header-slot>
      <h1>Обрані товари</h1>
      <div class="prod">
        <product-card-for-favorites v-for="prod in getFavorites" :key="prod" :product-obj="prod"></product-card-for-favorites>
      </div>
    </header-slot>
  </div>
</template>

<script>
import HeaderSlot from "@/components/HeaderSlot.vue";
import {mapGetters} from "vuex";
import ProductCardForFavorites from "@/components/ProductCardForFavorites.vue";
export default {
  name: 'FavoritesPage',

  components: {
    HeaderSlot, ProductCardForFavorites
  },

  computed: {
    ...mapGetters(['getFavorites'])
  },
}
</script>

<style lang="css" scoped>
.prod{
  display: flex;
  flex-wrap: wrap;
  margin-top: 15px;
  margin-right: 10px;
}
</style>